## plasma-framework 5.62.0

=== debian/changelog ===
plasma-framework (5.62.0-0ubuntu2) eoan; urgency=medium

  * Disable dialognativetest. Very flaky, only on Ubuntu infra.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 15 Sep 2019 10:05:17 +0100

plasma-framework (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:10:05 +0100

plasma-framework (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)
  * Delete kubuntu_skip-flaky-test.patch, this patch was meant to void a couple
    of flaky tests:
    - storagetest, which was removed upstream
    - dialognativetest, which was changed upstream so maybe it works now

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:45:47 +0100

plasma-framework (5.60.0-0ubuntu2) eoan; urgency=medium

  * Add storagetest to kubuntu_skip-flaky-test.patch

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 21 Jul 2019 09:11:16 +0100

plasma-framework (5.60.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:19:08 +0100

plasma-framework (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:22:19 +0100

plasma-framework (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)
  * Revert replacing broken Breeze Plasma theme background and tooltip
    svgs. These are fixed in this version.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:43:32 +0100

plasma-framework (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:41:03 +0100
