=== debian/changelog ===
plasma-framework (5.68.0-0ubuntu1) focal; urgency=medium

  * Drop included upstream_remove-hardcode-colours.patch
  * New upstream release (5.68.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 21:00:48 +0000

plasma-framework (5.67.0-0ubuntu2) focal; urgency=medium

  * Add patch to fix panel corners on dark panels.
    https://bugs.kde.org/show_bug.cgi?id=417511
    - debian/patches: upstream_remove-hardcode-colours.patch

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Feb 2020 18:37:22 +0000

plasma-framework (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:53:34 +0000

plasma-framework (5.66.0-0ubuntu2) focal; urgency=medium

  * Merge changes from debian unstable 5.62.0-2. Remaining changes:
    - debian/control:
      + Kubuntu Vcs fields.
      + Bumped KF5 stack build deps.
    - debian/*.symbols: Keep Kubuntu symbols files.
    - debian/plasma-framework.install: Install qdebug logging file.

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Jan 2020 10:32:28 +0000

plasma-framework (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:22:29 +0000

plasma-framework (5.65.0-0ubuntu2) focal; urgency=medium

  * Explicit build depend on libx11-xcb-dev. Fixes FTBFS.

 -- Rik Mills <rikmills@kde.org>  Sun, 22 Dec 2019 15:50:21 +0000

plasma-framework (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:03:25 +0000

plasma-framework (5.64.0-0ubuntu1) focal; urgency=medium

  * Install qdebug logging file.
  * New upstream release (5.63.0)
  * Update symbols from build logs.
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:27:37 +0000

plasma-framework (5.62.0-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Pass -DBUILD_TESTING=OFF to cmake to disable the build of tests, as they
    are not run at build time anyway
    - update install files
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Explicitly add the gettext, and libx11-xcb-dev build dependencies.
  * Remove breaks/replaces for versions older than oldstable.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Drop the xauth, and xvfb build dependencies, as they are not used.
  * Add Build-Depends-Package in symbols files.
  * Update lintian overrides.
  * Drop debian/not-installed, no more needed now.

 -- Pino Toscano <pino@debian.org>  Sat, 11 Jan 2020 23:31:39 +0100

plasma-framework (5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols file
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:17 -0700

plasma-framework (5.61.0-1) experimental; urgency=medium

  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Ignore reprotest build path variations
  * Update symbols file
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:11:08 +0100
