## plasma-framework 5.74.0a

=== debian/changelog ===
plasma-framework (5.74.0a-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)
  * Update symbols files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 11:02:08 +0100

plasma-framework (5.73.0-0ubuntu2) groovy; urgency=medium

  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Wed, 12 Aug 2020 12:17:55 +0100

plasma-framework (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 11:01:36 +0100

plasma-framework (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)
  * Drop included upstream patches.

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:36:10 +0100

plasma-framework (5.71.0-0ubuntu2) groovy; urgency=medium

  * Add patch requested by KDE devs to permit fixing plasma-nm
    asking for wireless password twice with plasma 5.19.
    https://bugs.kde.org/423093
    - debian/patches: upstream_backport-7f9e189d87.patch
  * Also add requested patch to permit fixing unreadable text
    in some system tray applet popup dialogs in plasma 5.19.
    https://bugs.kde.org/422684
    - debian/patches: upstream_backport-e1475e0907.patch

 -- Rik Mills <rikmills@kde.org>  Thu, 25 Jun 2020 11:22:07 +0100

plasma-framework (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)
  * Update symbols from build logs.
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:09:38 +0100

plasma-framework (5.70.1-1ubuntu1) groovy; urgency=medium

  * Merge from Debian. Remaining changes:
    - Kubuntu Vcs fields.
    - Breaks/replaces to suit Kubuntu version history.
    - Keep Kubuntu symbols files.

 -- Rik Mills <rikmills@kde.org>  Mon, 01 Jun 2020 15:07:23 +0100

plasma-framework (5.70.1-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Update symbols files from the logs of buildds.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.1).
  * Update build-deps and deps with the info from cmake.
  * Straighten kirigami dependencies.
  * Install categories file in libkf5plasma5 package.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:58:13 +0200

plasma-framework (5.70.1-0ubuntu1) groovy; urgency=medium

  * New upstream bugfix release (5.70.1)

 -- Rik Mills <rikmills@kde.org>  Sun, 17 May 2020 14:54:31 +0100

plasma-framework (5.70.0a-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)
  * Bump tarball version after upstream respin.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:35:20 +0100

plasma-framework (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Cleanup Build-Depends.
  * Enable hardening all.
  * Update copyright file.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 17:57:37 +0200
